Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.inv_simpson

skbio.diversity.alpha.inv_simpson(counts, finite=False)

  Calculate inverse Simpson index.

  The inverse Simpson index (\(1 / D\)), a.k.a., Simpson’s reciprocal index, is defined as:

  \[1 / D = \frac{1}{\sum_{i=1}^S{p_i^2}}\]

  where \(S\) is the number of taxa and \(p_i\) is the proportion of the sample represented by taxon \(i\).

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

    finite bool, optional

      If `True`, correct for finite sampling when calculating \(D\).

  Returns:
    float

      Inverse Simpson index.

  See also

  `dominance`

  Notes

  \(1 / D\) is a measurement of the effective number of species (ENS). It is equivalent to Hill number with order 2 (\(^2D\)).

  Inverse Simpson index was originally described in [1].

  References

  [1]

  Simpson, E. H. (1949). Measurement of diversity. Nature, 163(4148), 688-688.